package/binutils: actually support the target toolchain
authorFelix Fietkau <nbd@openwrt.org>
Wed, 7 Jan 2015 16:02:59 +0000 (16:02 +0000)
committerFelix Fietkau <nbd@openwrt.org>
Wed, 7 Jan 2015 16:02:59 +0000 (16:02 +0000)
This fixes a bug, where ld on ARM EABI platforms expects OABI code.

Signed-off-by: Harald Geyer <harald@ccbib.org>
SVN-Revision: 43866

package/devel/binutils/Makefile

index cf77690..c5a0717 100644 (file)
@@ -69,6 +69,8 @@ endef
 TARGET_CFLAGS += $(FPIC) -Wno-unused-value
 
 CONFIGURE_ARGS += \
+       --host=$(REAL_GNU_TARGET_NAME) \
+       --target=$(REAL_GNU_TARGET_NAME) \
        --enable-shared \
        --enable-install-libiberty \
        --enable-install-libbfd